"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _app = require("meetup-web-mocks/lib/app");

var _ = require("./");

var api = _interopRequireWildcard(require("../sync/apiActionCreators"));

describe('postEpic', function () {
  it('does not pass through arbitrary actions', function () {
    return (0, _.postEpic)({
      type: 'asdf'
    }).then(function (actions) {
      return expect(actions).toHaveLength(0);
    });
  });
  it('returns an api.post(query) action', function () {
    return (0, _.postEpic)(_app.MOCK_POST_ACTION).then(function (_ref) {
      var _ref2 = (0, _slicedToArray2.default)(_ref, 1),
          action = _ref2[0];

      var _MOCK_POST_ACTION$pay = _app.MOCK_POST_ACTION.payload,
          query = _MOCK_POST_ACTION$pay.query,
          onSuccess = _MOCK_POST_ACTION$pay.onSuccess,
          onError = _MOCK_POST_ACTION$pay.onError;
      var expectedAction = api.post(query, {
        onSuccess: onSuccess,
        onError: onError
      }); // make the expected functions generic

      expectedAction.meta.request = expect.any(Promise);
      expectedAction.meta.resolve = expect.any(Function);
      expectedAction.meta.reject = expect.any(Function);
      expect(action).toMatchObject(expectedAction);
    });
  });
});
describe('deleteEpic', function () {
  it('does not pass through arbitrary actions', function () {
    return (0, _.deleteEpic)({
      type: 'asdf'
    }).then(function (actions) {
      return expect(actions).toHaveLength(0);
    });
  });
  it('returns an api.del(query) action', function () {
    return (0, _.deleteEpic)(_app.MOCK_DELETE_ACTION).then(function (_ref3) {
      var _ref4 = (0, _slicedToArray2.default)(_ref3, 1),
          action = _ref4[0];

      var _MOCK_DELETE_ACTION$p = _app.MOCK_DELETE_ACTION.payload,
          query = _MOCK_DELETE_ACTION$p.query,
          onSuccess = _MOCK_DELETE_ACTION$p.onSuccess,
          onError = _MOCK_DELETE_ACTION$p.onError;
      var expectedAction = api.del(query, {
        onSuccess: onSuccess,
        onError: onError
      }); // make the expected functions generic

      expectedAction.meta.request = expect.any(Promise);
      expectedAction.meta.resolve = expect.any(Function);
      expectedAction.meta.reject = expect.any(Function);
      expect(action).toMatchObject(expectedAction);
    });
  });
});
//# sourceMappingURL=index.test.js.map